Crystal Space: iTerrainFactoryState Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iTerrainFactoryState Struct Reference
[Mesh plugins]

Allows the setting of a set of generic terrain parameters outside any specific algorithm. More...

`#include <imesh/terrain.h>`

Inheritance diagram for iTerrainFactoryState:

[legend]
List of all members.

## Public Member Functions
virtual void | SetSamplerRegion (const csBox2 &region)=0
| This specifies the max region the renderer will sample from.
virtual void | SetTerraFormer (iTerraFormer *form)=0
| The terraformer defines the height, scale and other properties related to the formation and structure of the terrain.
virtual bool | SaveState (const char *filename)=0
| Save/Restore preprocessing information, the algorithm will do some preprocessing based on the material and height information this allows the process to be saved out to a file and cached for later reuse (maybe this should be the caching system) In some cases it may actually memorymap this file.

## Detailed Description

Allows the setting of a set of generic terrain parameters outside any specific algorithm.

It is up to the algorithm to determine the best use of the information provided in the interface.

Definition at line 176 of file terrain.h.

## Member Function Documentation

virtual bool iTerrainFactoryState::SaveState | ( | const char * | filename | ) | `[pure virtual]`

Save/Restore preprocessing information, the algorithm will do some preprocessing based on the material and height information this allows the process to be saved out to a file and cached for later reuse (maybe this should be the caching system) In some cases it may actually memorymap this file.

virtual void iTerrainFactoryState::SetSamplerRegion | ( | const csBox2 & | region | ) | `[pure virtual]`

This specifies the max region the renderer will sample from.

This is more of a hint to the renderer as it may try to optimally sample only from regions near the camera.

virtual void iTerrainFactoryState::SetTerraFormer | ( | iTerraFormer * | form | ) | `[pure virtual]`

The terraformer defines the height, scale and other properties related to the formation and structure of the terrain.

The terrain rendering plugin will sample from this data model based on its algorithm. The terraformer can be shared between plugins, especially plugins which use the information for vegatation rendering.

The documentation for this struct was generated from the following file:

- imesh/terrain.h